package com.kcim.service;

import com.kcim.vo.SheetImportResultVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @program: CostAccount
 * @description:
 * @author: Wang.YS
 * @create: 2024-06-03 13:57
 **/
public interface KpiComputeImportService {
    /**
     * 查询导入列表
     *
     * @param current 当前页
     * @param pageSize 页容量
     * @param computeDate 核算年月
     * @param tableName 表名
     * @return 导入列表
     */
    Object getList(Integer current, Integer pageSize, String computeDate, String tableName);

    Object getTableList();

    /**
     * 导入数据
     * @param computeDate 核算年月
     * @param tableName 表名
     * @param file 导入文件
     */
    void importData(String computeDate, String tableName, MultipartFile file) ;

    /**
     * 作废导入数据
     * @param id 记录id
     */
    void removeImport(Integer id);

    /**
     * 复原导入数居
     * @param id 记录id
     */
    void recoverImport(Integer id);

    /**
     * 批量导入数据
     * @param computeDate 核算年月
     * @param file 导入文件
     * @return 导入结果列表
     */
    List<SheetImportResultVO> importMultipleSheets(String computeDate, MultipartFile file);
}
